Index: src/viewer/runList.py
===================================================================
--- src/viewer/runList.py	(revision d68a4a738afaddd578514b3a8910e72403d0eecd)
+++ src/viewer/runList.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,5 +1,8 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 from PyQt4 import QtCore, QtGui
 from PyQt4 import Qt
 import json
+
 
 class CSNSRunList(QtGui.QWidget):
@@ -13,31 +16,43 @@
         self.mainGrid.setMargin(0)
 
-        #self.runListWidget = QtGui.QListWidget(self)
-        #_runlist=["BL04_MR_0000016","BL04_MR_0000017","BL04_MR_0000018","BL04_MR_0000019"]
-        #self.runListWidget.addItems(_runlist)
-        #self.runListWidget.setMinimumSize(QtCore.QSize(0, 400))
+        # self.runListWidget = QtGui.QListWidget(self)
+        # _runlist=["BL04_MR_0000016","BL04_MR_0000017","BL04_MR_0000018","BL04_MR_0000019"]
+        # self.runListWidget.addItems(_runlist)
+        # self.runListWidget.setMinimumSize(QtCore.QSize(0, 400))
 
-        #self.loadButton  = QtGui.QPushButton("+",self) 
-        #self.clearButton = QtGui.QPushButton("-",self)
-        
-        #load json file
-        summary  = open('./dat/summary.json').read()
+        # self.loadButton  = QtGui.QPushButton("+",self)
+        # self.clearButton = QtGui.QPushButton("-",self)
+
+        # load json file
+
+        summary = open('./dat/summary.json').read()
         expData = json.loads(summary)
-        
-        #Analysis json file,dict format
+
+        # Analysis json file,dict format
+
         self.treeWidget = QtGui.QTreeWidget(self)
-        self.treeWidget.setHeaderLabels(['Summary'])        
+        self.treeWidget.setHeaderLabels(['Summary'])
         for item in range(len(expData)):
-            root= QtGui.QTreeWidgetItem(self.treeWidget)
-            root.setText(0,expData.keys()[item])
-            if type(expData[expData.keys()[item]]) == dict:#dict in dict format
-                for key in range(len(expData[expData.keys()[item]].keys())):
+            root = QtGui.QTreeWidgetItem(self.treeWidget)
+            root.setText(0, expData.keys()[item])
+            if type(expData[expData.keys()[item]]) == dict:  # dict in dict format
+                for key in \
+                    range(len(expData[expData.keys()[item]].keys())):
                     dict0 = QtGui.QTreeWidgetItem(root)
-                    dict0.setText(0,expData[expData.keys()[item]].keys()[key])
+                    dict0.setText(0,
+                                  expData[expData.keys()[item]].keys()[key])
                     key0 = QtGui.QTreeWidgetItem(dict0)
-                    key0.setText(0,expData[expData.keys()[item]][expData[expData.keys()[item]].keys()[key]])
-            else:#list in dict format
-                for listlength in range(len(expData[expData.keys()[item]])):
+                    key0.setText(0,
+                                 expData[expData.keys()[item]][expData[expData.keys()[item]].keys()[key]])
+            else:
+
+                 # list in dict format
+
+                for listlength in \
+                    range(len(expData[expData.keys()[item]])):
                     child0 = QtGui.QTreeWidgetItem(root)
-                    child0.setText(0,str(expData[expData.keys()[item]][listlength]))
-        self.mainGrid.addWidget(self.treeWidget,0,0,1,2)
+                    child0.setText(0,
+                                   str(expData[expData.keys()[item]][listlength]))
+        self.mainGrid.addWidget(self.treeWidget, 0, 0, 1, 2)
+
+
Index: src/viewer/sample.py
===================================================================
--- src/viewer/sample.py	(revision 2b41ffeb36a5e52980441e46fafca007f1479f36)
+++ src/viewer/sample.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,2 +1,5 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
+
 '''
 Created on 2015.9.25
@@ -11,4 +14,5 @@
 from model.readData import *
 
+
 class CSNSSamplePage(QtGui.QWidget):
 
@@ -17,8 +21,8 @@
         self.setupUi(self)
 
-    def setupUi(self,QWidget):
+    def setupUi(self, QWidget):
         self.verticalLayout = QtGui.QVBoxLayout(self)
 
-        self.sampleLabel = QtGui.QLabel("Sample")
+        self.sampleLabel = QtGui.QLabel('Sample')
 
         self.sampleTableView = QtGui.QTableWidget(self)
@@ -26,11 +30,11 @@
         self.sampleTableView.setMinimumHeight(CSNStableMinimumHeight)
 
-        sampleList, peakList, areaList = sampleModel()
-        _npoint=len(sampleList)
-        self.sampleTableView.setColumnCount(_npoint+1)
-        _header=[]
-        _header.append(" ")
+        (sampleList, peakList, areaList) = sampleModel()
+        _npoint = len(sampleList)
+        self.sampleTableView.setColumnCount(_npoint + 1)
+        _header = []
+        _header.append(' ')
         for i in range(_npoint):
-            _header.append(str(i+1))
+            _header.append(str(i + 1))
         self.sampleTableView.setHorizontalHeaderLabels(_header)
 
@@ -38,110 +42,127 @@
         self.sampleTableView.insertRow(1)
         self.sampleTableView.insertRow(2)
-        _tmp=QtGui.QTableWidgetItem("Position")
+        _tmp = QtGui.QTableWidgetItem('Position')
         self.sampleTableView.setItem(0, 0, _tmp)
-        _tmp=QtGui.QTableWidgetItem("Peak")
+        _tmp = QtGui.QTableWidgetItem('Peak')
         self.sampleTableView.setItem(1, 0, _tmp)
-        _tmp=QtGui.QTableWidgetItem("Area")
+        _tmp = QtGui.QTableWidgetItem('Area')
         self.sampleTableView.setItem(2, 0, _tmp)
 
         for i in range(_npoint):
-            _tmp=QtGui.QTableWidgetItem(str(sampleList[i]))
-            self.sampleTableView.setItem(0, i+1, _tmp)
-            _tmp=QtGui.QTableWidgetItem(str(peakList[i]))
-            self.sampleTableView.setItem(1, i+1, _tmp)
-            _tmp=QtGui.QTableWidgetItem(str(areaList[i]))
-            self.sampleTableView.setItem(2, i+1, _tmp)
+            _tmp = QtGui.QTableWidgetItem(str(sampleList[i]))
+            self.sampleTableView.setItem(0, i + 1, _tmp)
+            _tmp = QtGui.QTableWidgetItem(str(peakList[i]))
+            self.sampleTableView.setItem(1, i + 1, _tmp)
+            _tmp = QtGui.QTableWidgetItem(str(areaList[i]))
+            self.sampleTableView.setItem(2, i + 1, _tmp)
 
         # self.sampleTableView.resizeColumnsToContents()
 
-        '''
-        # canvas for 3D
-        self.sampleFigure = Figure((8,4), dpi=150, facecolor="white", edgecolor=None, linewidth=1.0, frameon=False, tight_layout=False)
-        self.sampleCanvas = FigureCanvas(self.sampleFigure)
-        self.sampleAxes = self.sampleFigure.add_subplot(111,projection='3d')
-        self.sampleFigure.subplots_adjust(left=0.05,bottom=0.05,right=0.95,top=0.95)
-        self.sampleAxes.tick_params(axis='both', which='major', labelsize=5)
+        # canvas for sample 1
 
-        dataX, dataY, dataZ = CSNSRead3DData("./dat/3d1.dat")
-        self.sampleAxes.clear()
-        self.sampleAxes.plot_surface(dataX, dataY, dataZ, rstride=1, cstride=1, alpha=0.7, cmap=cm.coolwarm, linewidth=0, antialiased=True)
-        #cset = self.sampleAxes.contourf(dataX, dataY, dataZ, zdir='z', offset=0, cmap=cm.coolwarm)
-        self.sampleCanvas.draw()
-        '''
-
-        # canvas for sample 1
-        self.samplePeakFigure = Figure((4,3), dpi=150, facecolor="white", edgecolor=None, linewidth=1.0, frameon=False, tight_layout=False)
+        self.samplePeakFigure = Figure(
+            (4, 3),
+            dpi=150,
+            facecolor='white',
+            edgecolor=None,
+            linewidth=1.0,
+            frameon=False,
+            tight_layout=False,
+            )
         self.samplePeakCanvas = FigureCanvas(self.samplePeakFigure)
         self.samplePeakAxes = self.samplePeakFigure.add_subplot(111)
-        self.samplePeakFigure.subplots_adjust(left=0.12,bottom=0.15,right=0.95,top=0.95)
-        self.samplePeakAxes.tick_params(axis='both', which='major', labelsize=5)
-        self.samplePeakAxes.plot(sampleList,peakList,color='red',marker='+')
-        self.samplePeakAxes.set_xlabel("Vertical",fontsize=5)
-        self.samplePeakAxes.set_ylabel("Horizental",fontsize=5)
+        self.samplePeakFigure.subplots_adjust(left=0.12, bottom=0.15,
+                right=0.95, top=0.95)
+        self.samplePeakAxes.tick_params(axis='both', which='major',
+                labelsize=5)
+        self.samplePeakAxes.plot(sampleList, peakList, color='red',
+                                 marker='+')
+        self.samplePeakAxes.set_xlabel('Vertical', fontsize=5)
+        self.samplePeakAxes.set_ylabel('Horizental', fontsize=5)
         self.samplePeakCanvas.draw()
 
         # canvas for sample 2
-        self.sampleAreaFigure = Figure((4,3), dpi=150, facecolor="white", edgecolor=None, linewidth=1.0, frameon=False, tight_layout=False)
+
+        self.sampleAreaFigure = Figure(
+            (4, 3),
+            dpi=150,
+            facecolor='white',
+            edgecolor=None,
+            linewidth=1.0,
+            frameon=False,
+            tight_layout=False,
+            )
         self.sampleAreaCanvas = FigureCanvas(self.sampleAreaFigure)
         self.sampleAreaAxes = self.sampleAreaFigure.add_subplot(111)
-        self.sampleAreaFigure.subplots_adjust(left=0.12,bottom=0.15,right=0.95,top=0.95)
-        self.sampleAreaAxes.tick_params(axis='both', which='major', labelsize=5)
-        self.sampleAreaAxes.plot(sampleList,areaList,color='green',marker='+')
-        self.sampleAreaAxes.set_xlabel("Vertical",fontsize=5)
-        self.sampleAreaAxes.set_ylabel("Horizental",fontsize=5)
+        self.sampleAreaFigure.subplots_adjust(left=0.12, bottom=0.15,
+                right=0.95, top=0.95)
+        self.sampleAreaAxes.tick_params(axis='both', which='major',
+                labelsize=5)
+        self.sampleAreaAxes.plot(sampleList, areaList, color='green',
+                                 marker='+')
+        self.sampleAreaAxes.set_xlabel('Vertical', fontsize=5)
+        self.sampleAreaAxes.set_ylabel('Horizental', fontsize=5)
         self.sampleAreaCanvas.draw()
 
-        self.mainWidget= QtGui.QWidget(self)
+        self.mainWidget = QtGui.QWidget(self)
         self.mainGrid = QtGui.QGridLayout(self.mainWidget)
         self.mainGrid.setVerticalSpacing(1)
 
-        self.roiLabel =  QtGui.QLabel("<font color=red>Beam ROI: </font>")
-        self.roiLeftLabel=QtGui.QLabel("Left: ")
-        self.roiLeftText=QtGui.QLabel("10")
-        self.roiRightLabel=QtGui.QLabel("Right: ")
-        self.roiRightText=QtGui.QLabel("14")
-        self.roiTopLabel=QtGui.QLabel("Top: ")
-        self.roiTopText=QtGui.QLabel("65")
-        self.roiBottomLabel=QtGui.QLabel("Bottom: ")
-        self.roiBottomText=QtGui.QLabel("35")
+        self.roiLabel = QtGui.QLabel('<font color=red>Beam ROI: </font>'
+                )
+        self.roiLeftLabel = QtGui.QLabel('Left: ')
+        self.roiLeftText = QtGui.QLabel('10')
+        self.roiRightLabel = QtGui.QLabel('Right: ')
+        self.roiRightText = QtGui.QLabel('14')
+        self.roiTopLabel = QtGui.QLabel('Top: ')
+        self.roiTopText = QtGui.QLabel('65')
+        self.roiBottomLabel = QtGui.QLabel('Bottom: ')
+        self.roiBottomText = QtGui.QLabel('35')
 
-        self.positionLabel =  QtGui.QLabel("<font color=red>Sample Position: </font>")
-        self.positionCenterLabel=QtGui.QLabel("Center")
-        self.positionCenterText=QtGui.QLabel("1.67 mm")
-        self.positionErrorLabel=QtGui.QLabel("Offset")
-        self.positionErrorText=QtGui.QLabel("+/- 0.02 mm")
+        self.positionLabel = \
+            QtGui.QLabel('<font color=red>Sample Position: </font>')
+        self.positionCenterLabel = QtGui.QLabel('Center')
+        self.positionCenterText = QtGui.QLabel('1.67 mm')
+        self.positionErrorLabel = QtGui.QLabel('Offset')
+        self.positionErrorText = QtGui.QLabel('+/- 0.02 mm')
 
-        self.mainGrid.addWidget(self.samplePeakCanvas, 0,0,1,4)
-        self.mainGrid.addWidget(self.sampleAreaCanvas, 0,4,1,4)
+        self.mainGrid.addWidget(self.samplePeakCanvas, 0, 0, 1, 4)
+        self.mainGrid.addWidget(self.sampleAreaCanvas, 0, 4, 1, 4)
 
-        self.mainGrid.addItem(QtGui.QSpacerItem(-1, -1, QtGui.QSizePolicy.Ignored, QtGui.QSizePolicy.Expanding), 1, 0)
+        self.mainGrid.addItem(QtGui.QSpacerItem(-1, -1,
+                              QtGui.QSizePolicy.Ignored,
+                              QtGui.QSizePolicy.Expanding), 1, 0)
 
-        self.mainGrid.addWidget(self.roiLabel, 2,0,1,2)
-        ncol=-1
-        ncol+=1
-        self.mainGrid.addWidget(self.roiLeftLabel,   3,ncol,1,1)
-        ncol+=1
-        self.mainGrid.addWidget(self.roiLeftText,    3,ncol,1,1)
-        ncol+=1
-        self.mainGrid.addWidget(self.roiRightLabel,  3,ncol,1,1)
-        ncol+=1
-        self.mainGrid.addWidget(self.roiRightText,   3,ncol,1,1)
-        ncol+=1
-        self.mainGrid.addWidget(self.roiBottomLabel, 3,ncol,1,1)
-        ncol+=1
-        self.mainGrid.addWidget(self.roiBottomText,  3,ncol,1,1)
-        ncol+=1
-        self.mainGrid.addWidget(self.roiTopLabel,    3,ncol,1,1)
-        ncol+=1
-        self.mainGrid.addWidget(self.roiTopText,     3,ncol,1,1)
+        self.mainGrid.addWidget(self.roiLabel, 2, 0, 1, 2)
+        ncol = -1
+        ncol += 1
+        self.mainGrid.addWidget(self.roiLeftLabel, 3, ncol, 1, 1)
+        ncol += 1
+        self.mainGrid.addWidget(self.roiLeftText, 3, ncol, 1, 1)
+        ncol += 1
+        self.mainGrid.addWidget(self.roiRightLabel, 3, ncol, 1, 1)
+        ncol += 1
+        self.mainGrid.addWidget(self.roiRightText, 3, ncol, 1, 1)
+        ncol += 1
+        self.mainGrid.addWidget(self.roiBottomLabel, 3, ncol, 1, 1)
+        ncol += 1
+        self.mainGrid.addWidget(self.roiBottomText, 3, ncol, 1, 1)
+        ncol += 1
+        self.mainGrid.addWidget(self.roiTopLabel, 3, ncol, 1, 1)
+        ncol += 1
+        self.mainGrid.addWidget(self.roiTopText, 3, ncol, 1, 1)
 
-        self.mainGrid.addWidget(self.positionLabel, 4,0,1,2)
-        self.mainGrid.addWidget(self.positionCenterLabel,   5,0,1,1)
-        self.mainGrid.addWidget(self.positionCenterText,    5,1,1,1)
-        self.mainGrid.addWidget(self.positionErrorLabel,    5,2,1,1)
-        self.mainGrid.addWidget(self.positionErrorText,     5,3,1,1)
+        self.mainGrid.addWidget(self.positionLabel, 4, 0, 1, 2)
+        self.mainGrid.addWidget(self.positionCenterLabel, 5, 0, 1, 1)
+        self.mainGrid.addWidget(self.positionCenterText, 5, 1, 1, 1)
+        self.mainGrid.addWidget(self.positionErrorLabel, 5, 2, 1, 1)
+        self.mainGrid.addWidget(self.positionErrorText, 5, 3, 1, 1)
 
         self.verticalLayout.addWidget(self.sampleLabel)
         self.verticalLayout.addWidget(self.sampleTableView)
+
 #        self.verticalLayout.addWidget(self.sampleCanvas)
+
         self.verticalLayout.addWidget(self.mainWidget)
+
+
Index: src/viewer/subTab.py
===================================================================
--- src/viewer/subTab.py	(revision c0dd1c210bbe5f17d723a81d5cf226c7bca89d62)
+++ src/viewer/subTab.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,6 +1,10 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 # configure
+
 from conf import *
 
 from guishell import *
+
 
 class CSNSSubTab(QtGui.QTabWidget):
@@ -10,10 +14,10 @@
         self.setupUi(self)
 
-    def setupUi(self,QTabWidget):
+    def setupUi(self, QTabWidget):
         self.logPage = QtGui.QTextEdit(self)
         self.ipythonPage = ConsoleWidget(self)
 
-        self.addTab(self.logPage, "Log Window")
-        self.addTab(self.ipythonPage, "Console Window")
+        self.addTab(self.logPage, 'Log Window')
+        self.addTab(self.ipythonPage, 'Console Window')
 
 
